require 'helper'
require 'json'
require 'touggsl'
require 'touggsl_helper'

class TestAuth < Test::Unit::TestCase
  
 def setup


    url = "http://touggweb-001.superlogica.net/financeiro/atual/auth/post"
   

    stub_request(:get, "http://touggweb-001.superlogica.net/financeiro/atual/auth/post").
            to_return(:status => 401, :body => "", :headers => {'Set-Cookie' => "xpto"})

     WebMock.stub_request(:post,url).
                  with(:body => {username: 'jack', password: 'secret'}).
                  to_return(:body => TouggHelper.json_success_auth)

   WebMock.stub_request(:post,url).
                  with(:body => {username: 'invalid', password: 'invalid'}).
                  to_return(:body => TouggHelper.json_user_or_password_invalid)

    Touggsl.set_uri("http://touggweb-001.superlogica.net/financeiro/atual/")
    @auth = Touggsl::Auth
 end

  def test_login
    json_return = @auth.login("jack", "secret")
    assert_not_nil json_return["session"]
    assert_equal json_return["session"], "secret_session111"
  end

  def test_login_status
   json_return = @auth.login("jack", "secret") 
   assert_equal("202", json_return["status"])
  end
  
  def test_after_login_should_have_a_session
    @auth.login("jack","secret")
    assert_not_nil @auth.get_session
    assert_equal @auth.get_session, "secret_session111"
  end

  def test_after_login_should_have_a_status
    @auth.login("jack","secret")
    assert_equal "202", @auth.get_status
  end

  def test_raise_exception_username_or_password_invalid
   e = assert_raise RuntimeError do
    @auth.login("invalid", "invalid")
   end
   assert_equal "Invalid username or password!", e.message
   assert_equal "401", @auth.get_status
  end

  def test_session_should_be_nil_if_login_fail
    assert_raise RuntimeError do
      @auth.login("invalid","invalid")
    end
    assert_nil @auth.get_session    
  end

  def test_should_have_a_cookie_after_authentication
    @auth.login("jack", "secret")
    assert_not_nil @auth.get_cookie
    assert_equal "xpto", @auth.get_cookie
  end

end
